Evolution-Data-Server Manual: Private: org.gnome.evolution.dataserver.Calendar

## org.gnome.evolution.dataserver.Calendar org.gnome.evolution.dataserver.Calendar — Calendar objects |

## Methods

    Open              ();
    Close             ();
    Refresh           ();
    CreateObjects     (IN  as    ics_objects,
                       OUT as    uids);
    ModifyObjects     (IN  as    ics_objects,
                       IN  s     mod_type);
    RemoveObjects     (IN  a(ss) uid_rid_array,
                       IN  s     mod_type);
    ReceiveObjects    (IN  s     ics_object);
    SendObjects       (IN  s     ics_object,
                       OUT as    users,
                       OUT s     out_ics_object);
    GetObject         (IN  s     uid,
                       IN  s     rid,
                       OUT s     ics_object);
    GetObjectList     (IN  s     query,
                       OUT as    ics_objects);
    GetFreeBusy       (IN  x     start,
                       IN  x     end,
                       IN  as    users);
    GetAttachmentUris (IN  s     uid,
                       IN  s     rid,
                       OUT as    uris);
    DiscardAlarm      (IN  s     uid,
                       IN  s     rid,
                       IN  s     alarm_uid);
    GetTimezone       (IN  s     tz_id,
                       OUT s     tz_object);
    AddTimezone       (IN  s     tz_object);
    GetView           (IN  s     query,
                       OUT o     object_path);

## Signals

    Error        (s  error_message);
    FreeBusyData (as ics_objects);

## Properties

    Online             readable   b
    Revision           readable   s
    Writable           readable   b
    CacheDir           readable   s
    Capabilities       readable   as
    DefaultObject      readable   s
    CalEmailAddress    readable   s
    AlarmEmailAddress  readable   s

## Description

This interface allows for interaction with a calendar backend.

Since 3.8

## Method Details

### The Open() method

    Open ();

Since 3.8

### The Close() method

    Close ();

Since 3.8

### The Refresh() method

    Refresh ();

Since 3.8

### The CreateObjects() method

    CreateObjects (IN  as ics_objects,
                   OUT as uids);

`IN as `ics_objects``: |
`OUT as `uids``: |

Since 3.8

### The ModifyObjects() method

    ModifyObjects (IN  as ics_objects,
                   IN  s  mod_type);

`IN as `ics_objects``: |
`IN s `mod_type``: |

Since 3.8

### The RemoveObjects() method

    RemoveObjects (IN  a(ss) uid_rid_array,
                   IN  s     mod_type);

`IN a(ss) `uid_rid_array``: |
`IN s `mod_type``: |

Since 3.8

### The ReceiveObjects() method

    ReceiveObjects (IN  s ics_object);

`IN s `ics_object``: |

Since 3.8

### The SendObjects() method

    SendObjects (IN  s  ics_object,
                 OUT as users,
                 OUT s  out_ics_object);

`IN s `ics_object``: |
`OUT as `users``: |
`OUT s `out_ics_object``: |

Since 3.8

### The GetObject() method

    GetObject (IN  s uid,
               IN  s rid,
               OUT s ics_object);

`IN s `uid``: |
`IN s `rid``: |
`OUT s `ics_object``: |

Since 3.8

### The GetObjectList() method

    GetObjectList (IN  s  query,
                   OUT as ics_objects);

`IN s `query``: |
`OUT as `ics_objects``: |

Since 3.8

### The GetFreeBusy() method

    GetFreeBusy (IN  x  start,
                 IN  x  end,
                 IN  as users);

`IN x `start``: |
`IN x `end``: |
`IN as `users``: |

Since 3.8

### The GetAttachmentUris() method

    GetAttachmentUris (IN  s  uid,
                       IN  s  rid,
                       OUT as uris);

`IN s `uid``: |
`IN s `rid``: |
`OUT as `uris``: |

Since 3.8

### The DiscardAlarm() method

    DiscardAlarm (IN  s uid,
                  IN  s rid,
                  IN  s alarm_uid);

`IN s `uid``: |
`IN s `rid``: |
`IN s `alarm_uid``: |

Since 3.8

### The GetTimezone() method

    GetTimezone (IN  s tz_id,
                 OUT s tz_object);

`IN s `tz_id``: |
`OUT s `tz_object``: |

Since 3.8

### The AddTimezone() method

    AddTimezone (IN  s tz_object);

`IN s `tz_object``: |

Since 3.8

### The GetView() method

    GetView (IN  s query,
             OUT o object_path);

`IN s `query``: |
`OUT o `object_path``: |

Since 3.8

## Signal Details

### The "Error" signal

    Error (s error_message);

`s `error_message``: |

Since 3.8

### The "FreeBusyData" signal

    FreeBusyData (as ics_objects);

`as `ics_objects``: |

Since 3.8

## Property Details

### The "Online" property

    Online  readable   b

Since 3.8

### The "Revision" property

    Revision  readable   s

Since 3.8

### The "Writable" property

    Writable  readable   b

Since 3.8

### The "CacheDir" property

    CacheDir  readable   s

Since 3.8

### The "Capabilities" property

    Capabilities  readable   as

Since 3.8

### The "DefaultObject" property

    DefaultObject  readable   s

Since 3.8

### The "CalEmailAddress" property

    CalEmailAddress  readable   s

Since 3.8

### The "AlarmEmailAddress" property

    AlarmEmailAddress  readable   s

Since 3.8